Get popularity

Get daily values for song popularity.

Song popularity metric indicates how popular a song is on a specific platform. It is calculated by the platform.


You can get the song's popularity of “spotify”, “tidal” or “deezer”.

The Spotify popularity of a track is between 0 and 100, with 100 being the most popular. The popularity is calculated by algorithm and is based mainly on the total number of plays the track has had and how recent those plays are.

Duplicate tracks (e.g., the same track from a single and an album) are rated independently. The popularity value may lag actual popularity by a few days: the value is not updated in real time by Spotify.

Need to get the song UUID first? Use the Get song by ISRC or Get song by platform ID or Search song by name endpoints.

Request

GET /api/v2/song/{uuid}/popularity/{platform}

Path parameters

Parameter Value Description Additional
uuid string A Song UUID Required
platform string A platform code Required

Query string parameters

Parameter Value Description Additional
startDate string Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date. Optional
endDate string Optional period end date (format YYYY-MM-DD) Optional

Response

Code Description Resource
200 OK

A song response popularity for a period

Song Plot Collection
400 Bad Request

Invalid platform code

401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Song not found

Explore

A Song UUID

A platform code

Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date.

Optional period end date (format YYYY-MM-DD)

Try it out